org.eclipse.mat.internal.collectionextract

## Class Pair12CollectionExtractor

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.PairCollectionExtractor
  - - org.eclipse.mat.internal.collectionextract.Pair12CollectionExtractor

All Implemented Interfaces:
  ICollectionExtractor

    public class Pair12CollectionExtractor
    extends PairCollectionExtractor

### Constructor Summary

Constructors
Constructor and Description
`Pair12CollectionExtractor(String field1, String field2)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `extractEntryIds(IObject coll)` Returns the object ids (int) for all objects which are contained in the collection
`Integer` `getSize(IObject coll)` Extract the size of the collection

### Methods inherited from class org.eclipse.mat.internal.collectionextract.PairCollectionExtractor

`extractEntries, getCapacity, getFillRatio, getNumberOfNotNullElements, hasCapacity, hasExtractableArray, hasExtractableContents, hasFillRatio, hasSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pair12CollectionExtractor

    public Pair12CollectionExtractor(String field1,
                                     String field2)

### Method Detail

#### getSize

    public Integer getSize(IObject coll)
                    throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Extract the size of the collection

Specified by:
  `getSize` in interface `ICollectionExtractor`
Overrides:
  `getSize` in class `PairCollectionExtractor`
Returns:
Throws:
  `SnapshotException`

#### extractEntryIds

    public int[] extractEntryIds(IObject coll)
                          throws SnapshotException

Description copied from interface: `ICollectionExtractor`
Returns the object ids (int) for all objects which are contained in the collection

Specified by:
  `extractEntryIds` in interface `ICollectionExtractor`
Overrides:
  `extractEntryIds` in class `PairCollectionExtractor`
Returns:
Throws:
  `SnapshotException`